MediaWiki:Common.css: Difference between revisions

background color for span transp png
mNo edit summary
 
(42 intermediate revisions by the same user not shown)
Line 1: Line 1:
/* only public wiki */
/* only public wiki - hide talk link */
 
/* hide talk link */
.minerva__tab-container {
.minerva__tab-container {
     display: none;
     display: none;
}
.talk.mw-ui-button {
visibility: hidden;
}
/* 220729 - action menu hid */
.page-actions-menu {
border-top: 0;
border-bottom: 0;
/* logged in user must change to vector skin to edit */
visibility: hidden;
}
body {
  background-image:url(-) !important;
}
body .mw-page-container, body #mw-panel {
background-color: unset !important;
    background-image: unset !important;
}
/* <span class="light-bg"> for transparent images */
.light-bg {
background-color: #fff;
}
}


Line 9: Line 34:
body {
body {
color: #fff;
color: #fff;
    background-color: #222;
}
}
a {
a {
Line 15: Line 41:
h2 {
h2 {
     color: #fc6;
     color: #fc6;
}
/* <span class="light-bg"> for transparent images */
.light-bg {
background-color: #ccc;
}
}


body table.wikitable,
body table.wikitable,
body table.prettytable {
body table.prettytable,
background-color: #282828 !important;
border-color: #555 !important;
}
body table.wikitable > * > tr > th,
body table.wikitable > * > tr > th,
body table.wikitable > * > tr > td,
body table.wikitable > * > tr > td,
body table.prettytable > * > tr > th,
body table.prettytable > * > tr > th,
body table.prettytable > * > tr > td {
body table.prettytable > * > tr > td {
background-color: #282828 !important;
background-color: #333 !important;
border-color: #555 !important;
border-color: #000 !important;
}
}


.header-container.header-chrome {
background-color: #000;
}
.last-modified-bar a ,
.footer, .minerva-footer {
background-color: #343739;
}


body,
body,
.header-container.header-chrome,
#content,
#content,
footer,
.content table.infobox,
.content table.infobox,
.mw-highlight,
.mw-highlight,
Line 49: Line 74:
background-color: #222!important;
background-color: #222!important;
}
}
.header-container.header-chrome {
 
color: #e8c773;
}
.hatnote,
.hatnote,
.dablink,
.dablink,
Line 83: Line 106:


/* Links */
/* Links */
 
.extiw a, .extiw a:visited, .branding-box a, .branding-box a:visited,
.pBody ul li a, .pBody ul li a:visited, .subpages a, .subpages a:visited, body a, body a:visited, a, a:visited {
.pBody ul li a, .pBody ul li a:visited, .subpages a, .subpages a:visited, body a, body a:visited, a, a:visited {
     color: #ec7 !important;
     color: #ec7 !important;
Line 89: Line 112:


.pBody ul li a.new, .pBody ul li a.new:visited, .subpages a.new, .subpages a.new:visited, body a.new, body a.new:visited, a.new, a.new:visited, .pBody ul li.new a, .pBody ul li.new a:visited, li.new a, li.new a:visited, body .lienbrisé {
.pBody ul li a.new, .pBody ul li a.new:visited, .subpages a.new, .subpages a.new:visited, body a.new, body a.new:visited, a.new, a.new:visited, .pBody ul li.new a, .pBody ul li.new a:visited, li.new a, li.new a:visited, body .lienbrisé {
     color: #e8c773 !important;
     color: #e8c773;
}
}


Line 98: Line 121:
/* Menu drawer */
/* Menu drawer */
#mw-mf-page-left {
#mw-mf-page-left {
  background-color: #333;
}
#p-navigation li  a ,
#p-interaction li  a ,
#pt-preferences li  a {
   background-color: #000;
   background-color: #000;
}
}


#p-navigation li a {
/* 220729 - Vector skin darkening for editing after disabling action menu in minerva */
  background-color: #321;
#mw-header,
#mw-navigation,
#mw-panel
  {
background-image: none !important;
background-color: #444 !important;
}
}


#p-interaction li a {
.vector-menu-tabs li {
  background-color: #321;
background-image: unset !important;
background-color: #444 !important;
}
}


#pt-preferences li  a {
body .vectorbox {
  background-color: #321;
background-color: #333;
}
body .mw-sidebar-action .mw-sidebar-action-item h3.mw-sidebar-action-heading,
body .vector-menu-portal .vector-menu-heading {
color: #fff;
}
}